<template lang="pug">
div.w-100
  // proxy selection
  .px-1.w-100
    button.w-100.btn.btn-outline-secondary.btn-lg.dropdown-toggle(type='button' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false' @click='selectDns()') {{ serverName }}
      span.sr-only Toggle Dropdown
    .dropdown-menu
      .dropdown-item.clickable(v-for='area in $options.areaMap' @click='selectDns(area.dns)') {{area.name}}
  // daq list
  .pt-3.pl-1
    .list-group.x-tabs(role='tablist')
      template(v-for='route in routes')
        BaseSideBarItem(:path='"/" + route.path') {{ route.name }}
          .float-right(v-if='("control" === route.path) && hasDns')
            SideBarBadge(
              :loading='$butils.isNil($butils.get($store, "state.eacs.errors"))'
              :errors='size($butils.get($store, "state.eacs.errors"))'
              :warnings='size($butils.get($store, "state.eacs.warnings"))')
          .float-right(v-if='"hv" === route.path && hasDns')
            SideBarBadge(
              :loading='$butils.get($store, "state.hv.loading")'
              :errors='$butils.get($store, "state.hv.stats.activeChannelsInError")')
          .float-right(v-if='"alarms" === route.path && hasDns')
            AlarmStatsBadge
</template>
<script src='./SideBarContent.vue.js' />
